Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.inputsuggestajax
Class InputSuggestAjaxRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer
                      org.apache.myfaces.custom.inputsuggestajax.InputSuggestAjaxRenderer

All Implemented Interfaces:
  AjaxRenderer

public class InputSuggestAjaxRenderer
extends org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer
implements AjaxRenderer

Version:
  $Revision: 177984 $ $Date: 2005-05-23 19:39:37 +0200 (Mon, 23 May 2005) $
Author:
  Gerald Muellan, Martin Marinschek

Constructor Summary
`InputSuggestAjaxRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeAjax(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer
`isDisabled, renderInputValueOnly, renderNormal`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTextRendererBase
`getConvertedValue, renderInput, renderOutput, renderOutputText`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSuggestAjaxRenderer

    public InputSuggestAjaxRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent uiComponent)
                    throws java.io.IOException

  Specified by:
    `encodeAjax` in interface `AjaxRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD